com.ibm.openpages.api.service

## Interface IServiceFactory

-     public interface IServiceFactory

  The OpenPages public API is organized into multiple services such as metadata, resource, query, security, application and configuration. IServiceFactory specifies the interface for a factory giving access to these services.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IApplicationService` | `createApplicationService()` Returns an instance of `IApplicationService` and creates an instance if it isn't already instantiated.
    `IAuditService` | `createAuditService()`
    `IConfigurationService` | `createConfigurationService()` Returns an instance of `IConfigurationService` and creates an instance if it isn't already instantiated.
    `IMetaDataService` | `createMetaDataService()` Returns an instance of `IMetaDataService` and creates an instance if it isn't already instantiated.
    `IProcessService` | `createProcessService()` Returns an instance of `IProcessService` and creates an instance if it isn't already instantiated.
    `IQueryService` | `createQueryService()` Returns an instance of `IQueryService` and creates an instance if it isn't already instantiated.
    `IQuestionnaireService` | `createQuestionnaireService()` Returns an instance of `IQuestionnaireService` and creates an instance if it isn't already instantiated.
    `IResourceService` | `createResourceService()` Returns an instance of `IResourceService` and creates an instance if it isn't already instantiated.
    `ITBRuleService` | `createRuleService()` Returns an instance of `ITBRuleService` and creates an instance if it isn't already instantiated.
    `ISchedulerService` | `createSchedulerService()` Returns an instance of `ISchedulerService`, creating an instance if it isn't already instantiated.
    `ISearchService` | `createSearchService()` Returns an instance of `ISearchService` and creates an instance if it isn't already instantiated.
    `ISecurityService` | `createSecurityService()` Returns an instance of `ISecurityService` and creates an instance if it isn't already instantiated.
    `ISolutionService` | `createSolutionService()` Returns an instance of `ISolutionService`, creating an instance if it isn't already instantiated.
    `IThemeService` | `createThemeService()` Returns an instance of {@link IThemeService), creating an instance if it isn't already instantiated.
    `IWorkflowService` | `createWorkflowService()` Returns an instance of `IWorkflowService` and creates an instance if it isn't already instantiated.
    `Context` | `getContext()` Returns the `Context` used to create this `IServiceFactory`
    `void` | `release()` Clears service factory resources.

- - ### Method Detail

    - #### getContext

          Context getContext()

      Returns the `Context` used to create this `IServiceFactory`
      Returns:
        `Context` instance

    - #### createMetaDataService

          IMetaDataService createMetaDataService()

      Returns an instance of `IMetaDataService` and creates an instance if it isn't already instantiated.
      Returns:
        `IMetaDataService` instance

    - #### createResourceService

          IResourceService createResourceService()

      Returns an instance of `IResourceService` and creates an instance if it isn't already instantiated.
      Returns:
        `IResourceService` instance

    - #### createConfigurationService

          IConfigurationService createConfigurationService()

      Returns an instance of `IConfigurationService` and creates an instance if it isn't already instantiated.
      Returns:
        `IConfigurationService` instance

    - #### createQueryService

          IQueryService createQueryService()

      Returns an instance of `IQueryService` and creates an instance if it isn't already instantiated.
      Returns:
        `IQueryService` instance

    - #### createApplicationService

          IApplicationService createApplicationService()

      Returns an instance of `IApplicationService` and creates an instance if it isn't already instantiated.
      Returns:
        `IApplicationService` instance

    - #### createSecurityService

          ISecurityService createSecurityService()

      Returns an instance of `ISecurityService` and creates an instance if it isn't already instantiated.
      Returns:
        `ISecurityService` instance

    - #### createAuditService

          IAuditService createAuditService()

    - #### createQuestionnaireService

          IQuestionnaireService createQuestionnaireService()

      Returns an instance of `IQuestionnaireService` and creates an instance if it isn't already instantiated.
      Returns:
        `IQuestionnaireService` instance

    - #### createSearchService

          ISearchService createSearchService()

      Returns an instance of `ISearchService` and creates an instance if it isn't already instantiated.
      Returns:
        `ISearchService` instance

    - #### createProcessService

          IProcessService createProcessService()

      Returns an instance of `IProcessService` and creates an instance if it isn't already instantiated.
      Returns:
        `IProcessService` instance

    - #### release

          void release()

      Clears service factory resources.

    - #### createWorkflowService

          IWorkflowService createWorkflowService()

      Returns an instance of `IWorkflowService` and creates an instance if it isn't already instantiated.
      Returns:
        `IWorkflowService` instance

    - #### createRuleService

          ITBRuleService createRuleService()

      Returns an instance of `ITBRuleService` and creates an instance if it isn't already instantiated.
      Returns:
        `ITBRuleService` instance

    - #### createSchedulerService

          ISchedulerService createSchedulerService()

      Returns an instance of `ISchedulerService`, creating an instance if it isn't already instantiated.
      Returns:
        `ISchedulerService` instance

    - #### createSolutionService

          ISolutionService createSolutionService()

      Returns an instance of `ISolutionService`, creating an instance if it isn't already instantiated.
      Returns:
        `ISolutionService` instance

    - #### createThemeService

          IThemeService createThemeService()

      Returns an instance of {@link IThemeService), creating an instance if it isn't already instantiated.
      Returns:
        `IThemeService` instance

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.